#! /usr/bin/python

import pygame
import math

DEBUG = 1

def TransSurface( w,h ):
	return pygame.Surface( (w,h), pygame.SRCALPHA, 32 )


def HalfwayBetween( a, b ):
	distance = b[0] - a[0]
	x = a[0] + distance/2
	distance = b[1] - a[1]
	y = a[1] + distance/2
	return (x,y)

def Distance( a, b ):
	distanceX = b[0] - a[0]
	distanceY = b[1] - a[1]
	return math.sqrt( distanceX**2 + distanceY**2 )
	
def Clamp( value, floor, ceiling ):
	return min( ceiling, max( floor, value ) )

def VectorAdd( a, b ):
	return a[0]+b[0], a[1]+b[1]

def VectorMultiply( a, b ):
	return a[0]*b[0], a[1]*b[1]

def GetAngle( a, b=(0,0) ):
	'''get the angle in radians'''
	top = b[1]-a[1]
	divisor = b[0]-a[0]
	if divisor == 0:
		if top > 0:
			return math.acos(0)
		else:
			return -math.acos(0)
	return math.atan( float(top) / divisor ) 
